package nova.monadic_sfx.pages
import nova.monadic_sfx.AppTypes
import scalafx.scene.control.TextField
import scalafx.scene.control._
import scalafx.scene.layout.VBox
import scalafx.scene.Node
import scalafx.Includes._
import scalafx.scene.layout.HBox
import scalafx.scene.text.Text
import scalafx.scene.Parent
import scalafx.application.JFXApp.PrimaryStage

class HomePage(
    backend: AppTypes.HttpBackend,
    system: akka.actor.ActorSystem,
    onLogout: () => Unit
) {
  private lazy val root = new HBox {
    children = List(
      new Text {
        text = "hello"
      },
      new Button {
        text = "logout"
        onAction = () => onLogout()
      }
    )
  }
  def render = root
}

object HomePage {
  def apply(
      backend: AppTypes.HttpBackend,
      system: akka.actor.ActorSystem,
      onLogout: () => Unit
  ): Parent =
    new HomePage(backend, system, onLogout).render
}
